# Created by pyp2rpm-3.3.3
%global pypi_name cattrs

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %mkrel 2
Summary:        Composable complex class support for attrs
Group:          Development/Python
License:        MIT license
URL:            https://github.com/Tinche/cattrs
Source0:        https://github.com/Tinche/cattrs/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(bumpversion)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(watchdog)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(sphinx)

%description
cattrs is an open source Python library for structuring and unstructuring data.
cattrs works best with attrs classes and the usual Python collections, but
other kinds of classes are supported by manually registering converters.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
cattrs is an open source Python library for structuring and unstructuring data.
cattrs works best with attrs classes and the usual Python collections, but
other kinds of classes are supported by manually registering converters.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf src/*.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD}/src sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc docs/readme.rst README.rst
%doc html
%{python3_sitelib}/cattr
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 1.0.0-2.mga8
+ Revision: 1541953
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 1.0.0-1.mga8
+ Revision: 1475697
- new version 1.0.0
- imported package python-cattrs

